<ion-card *ngIf="place"
          class="shadow "
          no-margin
          margin-bottom>
  <button type="button"
          id="card-native"
          class="ion-activatable">
    <img [defaultImage]="defaultImage"
         [lazyLoad]="getImagens(place?.photos)"
         offset="10"
         class="img2 ng-lazyloaded" />
   <!--  <ionic4-star-rating activeIcon="ios-star"
                        defaultIcon="ios-star-outline"
                        activeColor="#ffb400"
                        defaultColor="#ffb400"
                        readonly="true"
                        [rating]="place?.rating"
                        fontSize="10px">
    </ionic4-star-rating> -->
    <ion-card-content>
      <div text-nowrap>
        <ion-text>
          <h3 class="bold ellipsis">
            {{place?.name}}
          </h3>
          <p class="text-small bold">
            {{place?.vicinity}}
          </p>
        </ion-text>
      </div>
    </ion-card-content>
    <ion-ripple-effect role="presentation"
                       class="sc-ion-card-md md hydrated"></ion-ripple-effect>
  </button>
</ion-card>


<ion-card *ngIf="!place"
          class="shadow "
          no-margin
          margin-bottom
          class="ion-padding custom-skeleton">
  <ion-skeleton-text animated
                     style="width: 20%"></ion-skeleton-text>
  <button ion-activatable
          type="button"
          class="card-native sc-ion-card-md sc-ion-card-md-s">
    <ion-skeleton-text animated
                       style="width: 60%"></ion-skeleton-text>

    <!-- <ionic4-star-rating activeIcon="ios-star"
                        defaultIcon="ios-star-outline"
                        activeColor="#ffb400"
                        defaultColor="#ffb400"
                        readonly="true"
                        [rating]="place?.rating"
                        fontSize="10px">
    </ionic4-star-rating> -->
    <ion-card-content>
      <div text-nowrap>
        <ion-text>
          <h3 class="bold ellipsis">
            <ion-skeleton-text animated
                               style="width: 50%"></ion-skeleton-text>
          </h3>
          <p class="ellipsis text-small bold">
            <ion-skeleton-text animated
                               style="width: 80%"></ion-skeleton-text>
          </p>
        </ion-text>
      </div>
    </ion-card-content>
    <ion-ripple-effect role="presentation"
                       class="sc-ion-card-md md hydrated"></ion-ripple-effect>
  </button>
</ion-card>